Subject: Re: Changes that should go into version 24.4

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Mar 2014 16:53:14 +0200

> From: Stefan <[email-masked]>
> Cc: Daniel Colascione <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sat, 22 Mar 2014 10:03:09 -0400
> 
> > Not sure if those are related, but if they aren't, how can we explain
> > that only Richard experiences these problems?
> 
> My guess is that they only show up on Yeeloong, or maybe mips.
> Could even be a compiler bug, for all I know.

Could be.  But we have quite a few GC-related bug reports lately, so
it's not inconceivable that they are related.

> > In http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15688#107, Stefan
> > described some insight on the problem, and Richard suggested that
> > someone writes debugging code to detect the situation that apparently
> > is a precursor to the crash.  No one wrote such a code, AFAIK; perhaps
> > we should.  (I don't understand what Stefan said enough to do this,
> > but maybe someone else does.)
> 
> I'm not sure what kind of code could catch this, nor when to run it.

Perhaps you could add more detail to what you said there, and then
others could try thinking about what kind of code would help.